package cn.reghao.bnt.web.devops.app.model.constant;

/**
 * 构建状态
 *
 * @author reghao
 * @date 2021-11-08 16:35:42
 */
public enum BuildStatus {
    neverBuild(1, "尚未构建"),
    onBuilding(2, "正在构建"),
    buildSuccess(3, "构建成功"),
    buildFail(4, "构建失败");

    private final Integer code;
    private final String desc;

    BuildStatus(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
